%bcond_without kernel24

%kmdl i2c

Summary: Basic i2c drivers
Name: i2c
Version: 2.10.5
Release: 8%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://lm-sensors.org/
Source0: http://dl.lm-sensors.org/%{name}/releases/%{name}-%{version}.tar.gz
Source1: http://dl.lm-sensors.org/%{name}/releases/%{name}-%{version}.tar.gz.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if %{with kernel24}
%kmdl_parentdependencies
%endif

%description
This package contains all the basic i2c code, as well as a few bus drivers
(both the algorithm and the adapter drivers). There are no real chip
drivers, so on its own it is not very useful. Lots of chip drivers, as
well as more bus drivers and some additional basic code
(for SMBus emulation over i2c) and some i2c debugging tools
are found in the lm_sensors package at http://www.lm-sensors.nu.
Another place at which I2C is used is the video4linux project.

%package devel
Summary: %{name} kernel header files
Group: Development/System
#Requires: %{name} = %{eversion}

%description devel
The %{name} kernel headers are used for accessing the kernel modules' API.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel modules for %{name}
Group: System Environment/Kernel

%description -n %kmdl_name
Kernel modules for %{name}.

%kmdl_desc

%prep
%setup -q

%build
%if %{with kernel24}
%if %{kmdl_userland}

make LINUX=%{kmdl_kernelsrcdir} COMPILE_KERNEL=0

%else
%kmdl_config

make LINUX=%{kmdl_kernelsrcdir} COMPILE_KERNEL=1

%endif

%endif

%install
rm -rf %{buildroot}

%if %{with kernel24}

%if %{kmdl_userland}

make LINUX=%{kmdl_kernelsrcdir} \
     COMPILE_KERNEL=0 \
     DESTDIR=%{buildroot} \
     install
mkdir -p %{buildroot}%{_includedir}/i2c/linux
cp -a kernel/*.h %{buildroot}%{_includedir}/i2c/linux

%else
make LINUX=%{kmdl_kernelsrcdir} \
     LINUX_INCLUDE_DIR=%{_includedir}/linux \
     COMPILE_KERNEL=1 \
     MODPREF=%{kmdl_moduledir} \
     DESTDIR=%{buildroot} \
     install

rm -fr %{buildroot}%{_includedir}/linux

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/i2c/{algos,busses}
mv %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/i2c-{core,dev,proc}.* %{buildroot}%{kmdl_moduledir}/drivers/i2c/
mv %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/i2c-algo-* %{buildroot}%{kmdl_moduledir}/drivers/i2c/algos/
mv %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/* %{buildroot}%{kmdl_moduledir}/drivers/i2c/busses/

%endif

%endif

%clean
rm -rf %{buildroot}

%if %{with kernel24}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%endif

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%if %{with kernel24}
%doc CHANGES COPYING doc/* README TODO
%endif

%files devel
%defattr(-,root,root,-)
%if %{with kernel24}
%{_includedir}/i2c
%endif

%else
%if %{with kernel24}

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/i2c

%endif
%endif

%changelog
* Fri Nov  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.10.5-8
- Update to 2.10.5.

* Tue Mar  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.10.2-6
- Update to 2.10.2.

* Tue Sep 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.10.1-5
- Update to 2.10.1.

* Tue Mar 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.10.0.

* Sun Sep 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.9.2.

* Thu Apr 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.9.1.

* Wed Dec 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
